import { defineComponent as g, openBlock as b, createElementBlock as E, createVNode as h, unref as m } from "vue";
import { h as D } from "./index-0aa2c910-5cc4f5de.mjs";
import { a as p, t as s, u as I } from "./index-c1939125.mjs";
import { e as l } from "./Workspace-b0c76eb5-f67e846b.mjs";
import { message as n } from "ant-design-vue";
import "ant-design-vue/es/locale/zh_CN";
import "lodash";
import "mitt";
import "@ant-design/icons-vue";
import "./_commonjsHelpers-4c55c438.mjs";
import "./index-8e53670e.mjs";
import "./index-4c712f0f.mjs";
import "./index-61d0c837.mjs";
import "./index-f84f8264.mjs";
import "./Xhttp-3961c281.mjs";
import "./index-0bc44ba4.mjs";
import "./index-be33a88b.mjs";
import "./index-4746ada0.mjs";
import "./index-029f6c88.mjs";
import "./Workspace-02eb52fb.mjs";
import "./index-2016de99.mjs";
import "./index-eb746713.mjs";
import "./index-7cdf3d2f.mjs";
import "./index-e910d0a1.mjs";
import "./index-849e8eb6.mjs";
import "./index-8d4265b9.mjs";
import "./index-84e0bb4f.mjs";
import "./types-b6ebfd92.mjs";
import "./index-6cde75cc.mjs";
import "./index-2da0333f.mjs";
import "./index-ca4e7caa.mjs";
import "./index-f4d15496.mjs";
import "./index-28e2d2d8.mjs";
import "./index-99e9a3dd.mjs";
import "./index-53095baf.mjs";
import "./ModifyResource-5db3ac2f.mjs";
import "./config-f0e1b8af.mjs";
import "./Rule-88acd4fa.mjs";
import "./index-b9d81290.mjs";
import "./index-5257c732.mjs";
import "./index-8e54f683.mjs";
import "./index-e7f77db9.mjs";
import "./index-7e242db8.mjs";
import "./index-1621650e-7039da5e.mjs";
const R = {
  // 查询菜单树
  // TODO 后台接口问题，不传 {} 会报错
  async queryMenuTree() {
    return await p.get(s.TREE_LIST, {});
  },
  // 添加新菜单
  async addMenu(r) {
    return await p.post(s.ADD_MENU, r);
  },
  async deleteMenu(r) {
    return await p.delete(s.DELETE_MENU(r));
  },
  async modifyMenu(r) {
    return await p.put(s.UPDATE_MENU(r._id), r);
  }
}, T = { class: "menu-box" }, x = /* @__PURE__ */ g({
  __name: "index",
  props: {
    currentRoleItem: { type: Object, required: !0 }
  },
  setup(r) {
    let u = ref(0), a = ref(!1);
    const c = ref([]), i = ref([]), d = r, y = [
      {
        title: "名称",
        dataIndex: "name"
      },
      {
        title: "路径",
        dataIndex: "uri"
      },
      {
        title: "组件",
        dataIndex: "component"
      }
    ], f = async () => {
      a.value = !0;
      try {
        const e = await R.queryMenuTree();
        c.value = e, u.value = e.length;
      } catch ({ msg: e }) {
        n.error(e);
      } finally {
        a.value = !1;
      }
    }, v = async () => {
      const { _id: e } = d.currentRoleItem, t = await l.queryAuthorizeMenus(e);
      i.value = t.map((o) => o._id);
    };
    onMounted(async () => {
      await f(), await v();
    });
    const _ = async (e, t) => {
      const { _id: o } = d.currentRoleItem;
      t ? await w(o, e) : await M(o, e);
    }, w = async (e, t) => {
      a.value = !0;
      try {
        await l.authorizeMenu(e, t), n.success("授权成功"), i.value.push(...t);
      } catch ({ msg: o }) {
        n.error(o);
      } finally {
        a.value = !1;
      }
    }, M = async (e, t) => {
      a.value = !0;
      try {
        await l.revokeMenu(e, t), n.success("取消授权成功"), i.value = i.value.filter((o) => !t.includes(o));
      } catch ({ msg: o }) {
        n.error(o);
      } finally {
        a.value = !1;
      }
    };
    return (e, t) => (b(), E("div", T, [
      h(D, {
        columns: y,
        tableData: m(c),
        tableLoading: m(a),
        onRowClick: _,
        total: m(u),
        selectedRowKeysFlag: m(i),
        pagination: !1,
        scrollY: 240
      }, null, 8, ["tableData", "tableLoading", "total", "selectedRowKeysFlag"])
    ]));
  }
}), k = /* @__PURE__ */ I(x, [["__scopeId", "data-v-5976b1f1"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/RoleManage/Permission/components/Menu/index.vue"]]), ge = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: k
}, Symbol.toStringTag, { value: "Module" }));
export {
  k as M,
  ge as _,
  R as m
};
