import { defineComponent as g, resolveComponent as x, openBlock as _, createBlock as v, unref as h } from "vue";
import { message as d } from "ant-design-vue";
import { e as k, u as c } from "./Workspace-b0c76eb5-f67e846b.mjs";
import { cloneDeep as f } from "lodash";
import { u as w } from "./index-c1939125.mjs";
import "./index-1621650e-7039da5e.mjs";
import "ant-design-vue/es/locale/zh_CN";
import "mitt";
import "@ant-design/icons-vue";
import "./_commonjsHelpers-4c55c438.mjs";
import "./index-8e53670e.mjs";
import "./index-4c712f0f.mjs";
import "./index-61d0c837.mjs";
import "./index-f84f8264.mjs";
import "./Xhttp-3961c281.mjs";
import "./index-0bc44ba4.mjs";
import "./index-be33a88b.mjs";
import "./index-4746ada0.mjs";
import "./index-029f6c88.mjs";
import "./Workspace-02eb52fb.mjs";
import "./index-2016de99.mjs";
import "./index-eb746713.mjs";
import "./index-7cdf3d2f.mjs";
import "./index-e910d0a1.mjs";
import "./index-849e8eb6.mjs";
import "./index-8d4265b9.mjs";
import "./index-84e0bb4f.mjs";
import "./types-b6ebfd92.mjs";
import "./index-6cde75cc.mjs";
import "./index-2da0333f.mjs";
import "./index-ca4e7caa.mjs";
import "./index-f4d15496.mjs";
import "./index-28e2d2d8.mjs";
import "./index-99e9a3dd.mjs";
import "./index-53095baf.mjs";
import "./ModifyResource-5db3ac2f.mjs";
import "./config-f0e1b8af.mjs";
import "./Rule-88acd4fa.mjs";
import "./index-b9d81290.mjs";
import "./index-5257c732.mjs";
import "./index-8e54f683.mjs";
import "./index-e7f77db9.mjs";
import "./index-7e242db8.mjs";
const we = [
  {
    operator: "like",
    renderer: {
      type: "TextField",
      options: {
        field: "username",
        label: "用户名"
      }
    }
  },
  {
    operator: "like",
    renderer: {
      type: "TextField",
      options: {
        field: "nickname",
        label: "姓名"
      }
    }
  },
  {
    operator: "like",
    renderer: {
      type: "TextField",
      options: {
        field: "phone",
        label: "手机"
      }
    }
  }
], Fe = [
  {
    key: "_edit",
    label: "编辑"
    // color: '#f00',
    // expression: 'state=='1''
  },
  {
    key: "_reset",
    label: "重置",
    confirm: !0
  },
  {
    key: "_delete",
    label: "删除",
    color: "#f00",
    confirm: !0,
    showRoles: ["admin"]
  },
  {
    key: "_stop",
    label: "停用",
    color: "#f00",
    confirm: !0,
    expression: (t) => t.enabled
  },
  {
    key: "_start",
    label: "启用",
    color: "green",
    confirm: !0,
    expression: (t) => !t.enabled
  }
], Te = [
  { key: "_add", label: "添加", icon: "UserAddOutlined" }
], De = [
  {
    name: "username",
    label: "用户名",
    align: "center"
  },
  {
    name: "nickname",
    label: "姓名",
    align: "center"
  },
  {
    name: "phone",
    label: "手机号",
    align: "center"
  },
  {
    name: "role_name",
    type: "json",
    label: "角色",
    align: "center"
  },
  {
    name: "enabled",
    align: "center",
    label: "状态",
    dict: "状态"
  }
], qe = [
  {
    name: "yn",
    type: "inline",
    items: [
      {
        label: "是",
        value: !0
      },
      {
        label: "否",
        value: !1
      }
    ]
  },
  {
    name: "状态",
    type: "inline",
    items: [
      {
        label: "已停用",
        value: !1,
        tagColor: "error",
        tag: !0
      },
      {
        label: "运行中",
        value: !0,
        tagColor: "success",
        tag: !0
      }
    ]
  }
], F = [
  {
    name: "hideshow",
    type: "inline",
    items: [
      {
        label: "显示",
        value: 1
      },
      {
        label: "隐藏",
        value: 0
      }
    ]
  },
  {
    name: "yn",
    type: "inline",
    items: [
      {
        label: "是",
        value: 1
      },
      {
        label: "否",
        value: 0
      }
    ]
  },
  {
    name: "componenturi",
    type: "inline"
  }
], T = {
  hide: "hideshow",
  secondmenu: "yn"
}, D = {}, q = [
  {
    type: "TextField",
    options: {
      type: "text",
      field: "username",
      label: "用户名",
      required: !0
    }
  },
  {
    type: "TextField",
    options: {
      type: "text",
      field: "password",
      label: "密码",
      mode: "password",
      required: !0
    }
  }
], z = [
  {
    type: "TextField",
    options: {
      type: "text",
      field: "nickname",
      label: "姓名",
      required: !0
    }
  },
  {
    type: "SelectField",
    options: {
      type: "json",
      mode: "multiple",
      field: "roles",
      dictRef: "role",
      required: !0,
      label: "角色"
    }
  },
  {
    type: "TextField",
    options: {
      type: "text",
      field: "phone",
      maxLength: 11,
      label: "手机号"
    }
  },
  {
    type: "TextField",
    options: {
      type: "text",
      field: "email",
      label: "邮箱"
    }
  },
  {
    type: "TextField",
    options: {
      type: "text",
      field: "company",
      label: "单位"
    }
  },
  {
    type: "TextField",
    options: {
      type: "text",
      field: "department",
      label: "科室"
    }
  }
], R = {
  fieldValidators: [
    {
      field: "username",
      label: "用户名",
      validators: [
        {
          type: "regex",
          options: {
            pattern: /^\S+$/,
            message: "用户名不能包含空格"
          }
        },
        {
          type: "regex",
          options: {
            pattern: /^[a-zA-Z][a-zA-Z0-9]{3,15}$/,
            message: "必须由英文开头,仅可包含英文和数字,4-16位"
          }
        }
      ]
    },
    {
      field: "password",
      label: "密码",
      validators: [
        {
          type: "regex",
          options: {
            pattern: /^[a-zA-Z0-9]{6,16}$/,
            message: "仅可包含英文和数字,6-16位"
          }
        }
      ]
    },
    {
      field: "phone",
      label: "手机号",
      validators: [
        {
          type: "regex",
          options: {
            pattern: /^1(3[0-9]|4[5,7]|5[0,1,2,3,5,6,7,8,9]|6[2,5,6,7]|7[0,1,2,3,5,6,7,8]|8[0-9]|9[1,5,8,9])\d{8}$/,
            message: "请输入正确的手机号"
          }
        }
      ]
    },
    {
      field: "email",
      label: "邮箱",
      validators: [
        {
          type: "regex",
          options: {
            pattern: /^[a-z0-9]+([._\\-]*[a-z0-9])*@([a-z0-9]+[-a-z0-9]*[a-z0-9]+.){1,63}[a-z0-9]+$/,
            message: "请输入正确的邮箱"
          }
        }
      ]
    }
  ]
}, j = {
  layout: D,
  formDicts: F,
  dictRefs: T,
  validators: R
}, ze = {
  formDef: j,
  formRecordData: {}
};
async function Re() {
  let t = [];
  try {
    const { list: o } = await k.queryAllRole();
    t = o.map((a) => ({ label: a.name, value: a._id }));
  } catch (o) {
    console.error(o);
  }
  return t;
}
function O(t) {
  const o = f(q), a = f(z);
  let i = [];
  switch (t) {
    case "添加":
      i = [...o, ...a];
      break;
    case "编辑":
      i = [o[0], ...a];
  }
  return i;
}
const S = /* @__PURE__ */ g({
  name: "UserManageForm",
  __name: "index",
  props: {
    formData: { type: Object, required: !0 },
    type: { type: String, required: !0 },
    options: { type: Object, required: !0 },
    roleMap: { type: Object, required: !0 }
  },
  emits: ["refreshTable"],
  setup(t, { expose: o, emit: a }) {
    const i = t, u = a, { formData: p, type: n, options: l, roleMap: s } = i;
    if (watch(
      () => n,
      (r) => {
        l.formDef.layout = O(r);
      },
      {
        immediate: !0
      }
    ), l.formRecordData = {}, n == "添加")
      l.formRecordData = {};
    else {
      l.formRecordData = p;
      let r = p.role_name.map((e) => s[e] ? s[e].value : "");
      l.formRecordData.roles = r.filter((e) => e !== "");
    }
    const m = ref();
    async function y() {
      try {
        const { state: r, data: e } = await m.value.submit();
        r && (n === "添加" ? (await c.addUser(e), d.success("添加成功！")) : (e._id = e.user_id, delete e.role_code, delete e.role_name, await c.updateUser(e), d.success("修改成功！")), u("refreshTable"));
      } catch ({ msg: r }) {
        console.log(r);
      }
    }
    return o({ onSubmit: y }), (r, e) => {
      const b = x("GTForm");
      return _(), v(b, {
        options: h(l),
        ref_key: "formBox",
        ref: m
      }, null, 8, ["options"]);
    };
  }
}), U = /* @__PURE__ */ w(S, [["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/UserManage/components/Form/index.vue"]]), je = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: U
}, Symbol.toStringTag, { value: "Module" }));
export {
  U as F,
  je as _,
  De as a,
  F as b,
  qe as d,
  ze as f,
  Re as g,
  Fe as r,
  we as s,
  Te as t
};
