import { defineComponent as g, openBlock as b, createElementBlock as E, createVNode as R, unref as p } from "vue";
import { k } from "./index-62af557f-374a8a2b-c7b8518f.mjs";
import { a as n, t as s, u as x } from "./index-e68e98a5-63813610.mjs";
import { e as l } from "./Workspace-99d9a434-4191cbd4-63cfdcf4.mjs";
import { message as a } from "ant-design-vue";
import "ant-design-vue/es/locale/zh_CN";
import "lodash";
import "mitt";
import "@ant-design/icons-vue";
import "./index-c1939125.mjs";
import "./Workspace-b0c76eb5-f67e846b.mjs";
import "./index-1621650e-7039da5e.mjs";
import "./index-ffc3e36c-0324b166-981ff3c3.mjs";
import "./index-d66596a1-70807b3c.mjs";
import "./_commonjsHelpers-4c55c438.mjs";
import "./index-8e53670e.mjs";
import "./index-4c712f0f.mjs";
import "./index-61d0c837.mjs";
import "./index-f84f8264.mjs";
import "./Xhttp-3961c281.mjs";
import "./index-0bc44ba4.mjs";
import "./index-be33a88b.mjs";
import "./index-4746ada0.mjs";
import "./index-029f6c88.mjs";
import "./Workspace-02eb52fb.mjs";
import "./index-2016de99.mjs";
import "./index-eb746713.mjs";
import "./index-7cdf3d2f.mjs";
import "./index-e910d0a1.mjs";
import "./index-849e8eb6.mjs";
import "./index-8d4265b9.mjs";
import "./index-84e0bb4f.mjs";
import "./types-b6ebfd92.mjs";
import "./index-6cde75cc.mjs";
import "./index-2da0333f.mjs";
import "./index-ca4e7caa.mjs";
import "./index-f4d15496.mjs";
import "./index-28e2d2d8.mjs";
import "./index-99e9a3dd.mjs";
import "./index-53095baf.mjs";
import "./ModifyResource-5db3ac2f.mjs";
import "./config-f0e1b8af.mjs";
import "./Rule-88acd4fa.mjs";
import "./index-b9d81290.mjs";
import "./index-5257c732.mjs";
import "./index-8e54f683.mjs";
import "./index-e7f77db9.mjs";
import "./index-7e242db8.mjs";
import "./index-3f50a766-9d1f7e24.mjs";
import "./index-4b1645f2-4786b02d.mjs";
import "./index-0aa2c910-5cc4f5de.mjs";
import "./index-3052f625-0c0f738d.mjs";
import "./index-0a2e6a7c-a8c7cdfc.mjs";
import "./index-ddd78ab5-0cc5df79.mjs";
import "./index-3b037843-58a1cc80.mjs";
import "./index-7b78a6ac-0a7af145.mjs";
import "./index-1d2124f6-423a2a68.mjs";
import "./index-f555427e-4f68f772.mjs";
import "./types-b6ebfd92-421b591b.mjs";
import "./index-96ae9e92-a37083ab.mjs";
import "./index-00b0b848-c8e6a4d6.mjs";
import "./index-0ae79694-baba3ec4.mjs";
import "./index-7e38709c-6910fac3.mjs";
import "./index-7cb0aa8a-5980b2b2.mjs";
import "./index-99e9a3dd-91e1c9c1.mjs";
import "./index-0d3452ba-6c02e04e.mjs";
import "./ModifyResource-649c9159-c5e1df1f.mjs";
import "./config-f0e1b8af-6020c664.mjs";
import "./Rule-409d4975-64654761.mjs";
import "./index-0c2da789-45d2cc69.mjs";
import "./index-a3356091-37618107.mjs";
import "./index-3b089557-9fae140f.mjs";
import "./index-a174607d-ec2ef331.mjs";
import "./index-69a9221c-a51a5bda.mjs";
const D = {
  // 查询菜单树
  // TODO 后台接口问题，不传 {} 会报错
  async queryMenuTree() {
    return await n.get(s.TREE_LIST, {});
  },
  // 添加新菜单
  async addMenu(r) {
    return await n.post(s.ADD_MENU, r);
  },
  async deleteMenu(r) {
    return await n.delete(s.DELETE_MENU(r));
  },
  async modifyMenu(r) {
    return await n.put(s.UPDATE_MENU(r._id), r);
  }
}, I = { class: "menu-box" }, T = /* @__PURE__ */ g({
  __name: "index",
  props: {
    currentRoleItem: { type: Object, required: !0 }
  },
  setup(r) {
    let u = ref(0), i = ref(!1);
    const c = ref([]), m = ref([]), d = r, y = [
      {
        title: "名称",
        dataIndex: "name"
      },
      {
        title: "路径",
        dataIndex: "uri"
      },
      {
        title: "组件",
        dataIndex: "component"
      }
    ], f = async () => {
      i.value = !0;
      try {
        const t = await D.queryMenuTree();
        c.value = t, u.value = t.length;
      } catch ({ msg: t }) {
        a.error(t);
      } finally {
        i.value = !1;
      }
    }, v = async () => {
      const { _id: t } = d.currentRoleItem, e = await l.queryAuthorizeMenus(t);
      m.value = e.map((o) => o._id);
    };
    onMounted(async () => {
      await f(), await v();
    });
    const _ = async (t, e) => {
      const { _id: o } = d.currentRoleItem;
      e ? await w(o, t) : await M(o, t);
    }, w = async (t, e) => {
      i.value = !0;
      try {
        await l.authorizeMenu(t, e), a.success("授权成功"), m.value.push(...e);
      } catch ({ msg: o }) {
        a.error(o);
      } finally {
        i.value = !1;
      }
    }, M = async (t, e) => {
      i.value = !0;
      try {
        await l.revokeMenu(t, e), a.success("取消授权成功"), m.value = m.value.filter((o) => !e.includes(o));
      } catch ({ msg: o }) {
        a.error(o);
      } finally {
        i.value = !1;
      }
    };
    return (t, e) => (b(), E("div", I, [
      R(k, {
        columns: y,
        tableData: p(c),
        tableLoading: p(i),
        onRowClick: _,
        total: p(u),
        selectedRowKeysFlag: p(m),
        pagination: !1,
        scrollY: 240
      }, null, 8, ["tableData", "tableLoading", "total", "selectedRowKeysFlag"])
    ]));
  }
}), h = /* @__PURE__ */ x(T, [["__scopeId", "data-v-5976b1f1"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/RoleManage/Permission/components/Menu/index.vue"]]), Qt = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: h
}, Symbol.toStringTag, { value: "Module" }));
export {
  h as M,
  Qt as _,
  D as m
};
