import { defineComponent as V, resolveComponent as y, openBlock as s, createElementBlock as O, createVNode as b, unref as t, isRef as E, withCtx as w, createElementVNode as I, Fragment as $, renderList as B, createBlock as F, createTextVNode as M, toDisplayString as U, createCommentVNode as j } from "vue";
import { u as A, p as G, M as K } from "./index-e68e98a5-63813610.mjs";
import { u as m } from "./index-967e7dbe-0bf70c2f-684797a4.mjs";
import { message as n } from "ant-design-vue";
import "ant-design-vue/es/locale/zh_CN";
import "lodash";
import "mitt";
import "@ant-design/icons-vue";
import "./index-c1939125.mjs";
import "./Workspace-b0c76eb5-f67e846b.mjs";
import "./index-1621650e-7039da5e.mjs";
import "./index-d66596a1-70807b3c.mjs";
import "./_commonjsHelpers-4c55c438.mjs";
import "./index-8e53670e.mjs";
import "./index-4c712f0f.mjs";
import "./index-61d0c837.mjs";
import "./index-f84f8264.mjs";
import "./Xhttp-3961c281.mjs";
import "./index-0bc44ba4.mjs";
import "./index-be33a88b.mjs";
import "./index-4746ada0.mjs";
import "./index-029f6c88.mjs";
import "./Workspace-02eb52fb.mjs";
import "./index-2016de99.mjs";
import "./index-eb746713.mjs";
import "./index-7cdf3d2f.mjs";
import "./index-e910d0a1.mjs";
import "./index-849e8eb6.mjs";
import "./index-8d4265b9.mjs";
import "./index-84e0bb4f.mjs";
import "./types-b6ebfd92.mjs";
import "./index-6cde75cc.mjs";
import "./index-2da0333f.mjs";
import "./index-ca4e7caa.mjs";
import "./index-f4d15496.mjs";
import "./index-28e2d2d8.mjs";
import "./index-99e9a3dd.mjs";
import "./index-53095baf.mjs";
import "./ModifyResource-5db3ac2f.mjs";
import "./config-f0e1b8af.mjs";
import "./Rule-88acd4fa.mjs";
import "./index-b9d81290.mjs";
import "./index-5257c732.mjs";
import "./index-8e54f683.mjs";
import "./index-e7f77db9.mjs";
import "./index-7e242db8.mjs";
import "./index-3f50a766-9d1f7e24.mjs";
import "./index-4b1645f2-4786b02d.mjs";
import "./index-0aa2c910-5cc4f5de.mjs";
import "./index-3052f625-0c0f738d.mjs";
import "./index-0a2e6a7c-a8c7cdfc.mjs";
import "./index-ddd78ab5-0cc5df79.mjs";
import "./index-3b037843-58a1cc80.mjs";
import "./index-7b78a6ac-0a7af145.mjs";
import "./index-1d2124f6-423a2a68.mjs";
import "./index-f555427e-4f68f772.mjs";
import "./types-b6ebfd92-421b591b.mjs";
import "./index-96ae9e92-a37083ab.mjs";
import "./index-00b0b848-c8e6a4d6.mjs";
import "./index-0ae79694-baba3ec4.mjs";
import "./index-7e38709c-6910fac3.mjs";
import "./index-7cb0aa8a-5980b2b2.mjs";
import "./index-99e9a3dd-91e1c9c1.mjs";
import "./index-0d3452ba-6c02e04e.mjs";
import "./ModifyResource-649c9159-c5e1df1f.mjs";
import "./config-f0e1b8af-6020c664.mjs";
import "./Rule-409d4975-64654761.mjs";
import "./index-0c2da789-45d2cc69.mjs";
import "./index-a3356091-37618107.mjs";
import "./index-3b089557-9fae140f.mjs";
import "./index-a174607d-ec2ef331.mjs";
import "./index-69a9221c-a51a5bda.mjs";
const P = [
  {
    operator: "=",
    renderer: {
      type: "TextField",
      options: {
        field: "name",
        label: "规则名称"
      }
    }
  },
  {
    operator: "=",
    renderer: {
      type: "TextField",
      options: {
        field: "rule_value",
        label: "规则值"
      }
    }
  }
], Z = [
  { name: "name", label: "规则名称", align: "center" },
  { name: "rule_table", label: "规则表" },
  { name: "rule_column", label: "规则字段", align: "center" },
  { name: "rule_value", label: "规则值", align: "center" },
  {
    name: "rule_conditions",
    label: "条件规则",
    align: "center",
    width: 100
  }
], H = [
  { label: "添加", key: "add", icon: "PlusOutlined" }
], J = [
  { label: "编辑", key: "edit" },
  { label: "删除", key: "delete", color: "#f00", confirm: !0 }
], Q = {
  dicts: [
    {
      name: "规则条件",
      type: "enum",
      items: ["<=", "NOT LIKE", "LIKE", "CONTAINS", "<", "!=", "=", ">", ">="]
    }
  ],
  layout: {
    itemOptions: {
      labelSpan: 6,
      wrapperSpan: 18
    },
    children: [
      {
        type: "TextField",
        options: {
          type: "text",
          label: "规则名称",
          required: !0,
          field: "name"
        }
      },
      {
        type: "TextField",
        options: {
          type: "text",
          label: "规则表",
          required: !0,
          readonly: !0,
          field: "rule_table"
        }
      },
      {
        type: "TextField",
        options: {
          type: "text",
          label: "规则字段",
          required: !0,
          field: "rule_column"
        }
      },
      {
        type: "SelectField",
        options: {
          type: "text",
          label: "规则条件",
          required: !0,
          field: "rule_conditions",
          dictRef: "规则条件"
        }
      },
      {
        type: "TextField",
        options: {
          type: "text",
          label: "规则值",
          required: !0,
          field: "rule_value"
        }
      }
    ]
  },
  dictRefs: {
    rule_conditions: "规则条件"
  },
  validators: {
    fieldValidators: [
      {
        label: "规则名称",
        validators: [
          {
            type: "required"
          }
        ],
        field: "name"
      },
      {
        label: "规则字段",
        validators: [
          {
            type: "required"
          }
        ],
        field: "rule_column"
      },
      {
        label: "规则条件",
        validators: [
          {
            type: "required"
          }
        ],
        field: "rule_conditions"
      },
      {
        label: "规则值",
        validators: [
          {
            type: "required"
          }
        ],
        field: "rule_value"
      },
      {
        label: "规则表",
        validators: [
          {
            type: "required"
          }
        ],
        field: "rule_table"
      }
    ],
    subformValidators: []
  }
}, T = {
  提交数据: {
    name: "查看本人提交数据",
    rule_column: "create_by",
    rule_conditions: "=",
    rule_value: "${userId}"
  },
  省级数据: {
    name: "查看省级数据列表",
    rule_column: "省编码",
    rule_conditions: "=",
    rule_value: "${pcode}"
  },
  市级数据: {
    name: "查看市级数据列表",
    rule_column: "市编码",
    rule_conditions: "=",
    rule_value: "${ccode}"
  },
  县级数据: {
    name: "查看县级数据列表",
    rule_column: "县编码",
    rule_conditions: "=",
    rule_value: "${fcode}"
  }
}, W = { class: "rule-max" }, X = { class: "button-max" }, Y = /* @__PURE__ */ V({
  name: "FormRule",
  __name: "index",
  props: {
    formName: { type: String, required: !0 }
  },
  setup(h) {
    const d = h, v = ref([]), a = ref({ page: 1, size: 10, rule_table: d.formName }), g = ref(0), c = ref(!1), l = ref(!1), f = ref(!1), _ = ref(!0), k = ref(""), x = ref(), i = reactive({
      formDef: Q,
      formRecordData: {
        rule_table: d.formName
      }
    }), u = async () => {
      c.value = !0;
      try {
        const e = await m.getRules(a.value);
        v.value = e.list, g.value = e.total;
      } catch (e) {
        n.error(e.msg);
      }
      c.value = !1;
    }, C = async () => {
      try {
        const e = await m.getSupportRelation();
        i.formDef.dicts[0].items = e;
      } catch (e) {
        console.log("error :>> ", e);
      }
    }, R = ({ key: e, data: r }) => {
      switch (k.value = e, e) {
        case "add":
          i.formRecordData = {
            rule_table: d.formName
          }, l.value = !0;
          break;
        case "edit":
          i.formRecordData = r, l.value = !0;
          break;
        case "delete":
          S(r);
          break;
      }
    }, N = (e) => {
      _.value = !1, i.formRecordData = { ...i.formRecordData, ...T[e] }, nextTick(() => {
        _.value = !0;
      });
    }, q = async () => {
      f.value = !0;
      const { data: e, state: r } = await x.value.submit();
      if (r)
        try {
          e._id ? await m.updateRule(e._id, e) : await m.addRule(e), n.success("操作成功！"), a.value.page = 1, u(), l.value = !1;
        } catch (p) {
          n.error(p.msg);
        }
      f.value = !1;
    }, S = async ({ _id: e }) => {
      try {
        await m.deleteRule(e), n.success("删除成功！"), a.value.page = 1, u();
      } catch (r) {
        n.error(r.msg);
      }
    }, D = (e) => {
      const r = {
        page: 1,
        size: 10,
        rule_table: d.formName
      };
      e.forEach((p) => {
        r[p.name] = p.value;
      }), a.value = r, u();
    };
    return onMounted(() => {
      u(), C();
    }), (e, r) => {
      const p = y("a-button"), z = y("GTForm"), L = y("a-modal");
      return s(), O("div", W, [
        b(G, {
          fields: t(P),
          onSearch: D,
          "list-width": 260
        }, null, 8, ["fields"]),
        b(K, {
          fields: t(Z),
          data: t(v),
          tableOperators: t(H),
          recordOperators: t(J),
          "page-current": t(a).page,
          "onUpdate:pageCurrent": r[0] || (r[0] = (o) => t(a).page = o),
          "page-size": t(a).size,
          "onUpdate:pageSize": r[1] || (r[1] = (o) => t(a).size = o),
          onRecordOperatorClick: R,
          onTableOperatorClick: R,
          total: t(g),
          "y-offset": 280,
          loading: t(c)
        }, null, 8, ["fields", "data", "tableOperators", "recordOperators", "page-current", "page-size", "total", "loading"]),
        b(L, {
          destroyOnClose: "",
          maskClosable: !1,
          getContainer: ".rule-max",
          class: "rule-model",
          open: t(l),
          "onUpdate:open": r[2] || (r[2] = (o) => E(l) ? l.value = o : null),
          style: { width: "600px" },
          onOk: q,
          confirmLoading: t(f),
          title: t(k) == "add" ? "新增规则" : "编辑规则"
        }, {
          default: w(() => [
            I("div", X, [
              (s(!0), O($, null, B(Object.keys(t(T)), (o) => (s(), F(p, {
                type: "primary",
                key: o,
                onClick: (te) => N(o)
              }, {
                default: w(() => [
                  M(U(o), 1)
                ]),
                _: 2
              }, 1032, ["onClick"]))), 128))
            ]),
            t(_) ? (s(), F(z, {
              key: 0,
              ref_key: "formBox",
              ref: x,
              options: t(i)
            }, null, 8, ["options"])) : j("", !0)
          ]),
          _: 1
        }, 8, ["open", "confirmLoading", "title"])
      ]);
    };
  }
}), ee = /* @__PURE__ */ A(Y, [["__scopeId", "data-v-fb379215"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/FormDesign/components/FormRule/index.vue"]]), kt = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: ee
}, Symbol.toStringTag, { value: "Module" }));
export {
  ee as F,
  kt as _
};
