import { defineComponent as F, resolveComponent as v, openBlock as K, createElementBlock as P, createElementVNode as s, withKeys as j, createVNode as r, unref as i, withCtx as t, createTextVNode as g, toDisplayString as B, isRef as E, normalizeStyle as G, pushScopeId as Y, popScopeId as Z } from "vue";
import { message as y } from "ant-design-vue";
import { R as H } from "./types-b6ebfd92-421b591b-ad02b27d.mjs";
import { R as J } from "./index-ffc3e36c-0324b166-981ff3c3.mjs";
import { i as S } from "./index-f4d26339-456c0c67-7db7b18d.mjs";
import { u as M } from "./index-e68e98a5-63813610.mjs";
import "ant-design-vue/es/locale/zh_CN";
import "lodash";
import "mitt";
import "@ant-design/icons-vue";
import "./index-c1939125.mjs";
import "./Workspace-b0c76eb5-f67e846b.mjs";
import "./index-1621650e-7039da5e.mjs";
import "./index-d66596a1-70807b3c.mjs";
import "./_commonjsHelpers-4c55c438.mjs";
import "./index-8e53670e.mjs";
import "./index-4c712f0f.mjs";
import "./index-61d0c837.mjs";
import "./index-f84f8264.mjs";
import "./Xhttp-3961c281.mjs";
import "./index-0bc44ba4.mjs";
import "./index-be33a88b.mjs";
import "./index-4746ada0.mjs";
import "./index-029f6c88.mjs";
import "./Workspace-02eb52fb.mjs";
import "./index-2016de99.mjs";
import "./index-eb746713.mjs";
import "./index-7cdf3d2f.mjs";
import "./index-e910d0a1.mjs";
import "./index-849e8eb6.mjs";
import "./index-8d4265b9.mjs";
import "./index-84e0bb4f.mjs";
import "./types-b6ebfd92.mjs";
import "./index-6cde75cc.mjs";
import "./index-2da0333f.mjs";
import "./index-ca4e7caa.mjs";
import "./index-f4d15496.mjs";
import "./index-28e2d2d8.mjs";
import "./index-99e9a3dd.mjs";
import "./index-53095baf.mjs";
import "./ModifyResource-5db3ac2f.mjs";
import "./config-f0e1b8af.mjs";
import "./Rule-88acd4fa.mjs";
import "./index-b9d81290.mjs";
import "./index-5257c732.mjs";
import "./index-8e54f683.mjs";
import "./index-e7f77db9.mjs";
import "./index-7e242db8.mjs";
import "./index-3f50a766-9d1f7e24.mjs";
import "./index-4b1645f2-4786b02d.mjs";
import "./index-0aa2c910-5cc4f5de.mjs";
import "./index-3052f625-0c0f738d.mjs";
import "./index-0a2e6a7c-a8c7cdfc.mjs";
import "./index-ddd78ab5-0cc5df79.mjs";
import "./index-3b037843-58a1cc80.mjs";
import "./index-7b78a6ac-0a7af145.mjs";
import "./index-1d2124f6-423a2a68.mjs";
import "./index-f555427e-4f68f772.mjs";
import "./types-b6ebfd92-421b591b.mjs";
import "./index-96ae9e92-a37083ab.mjs";
import "./index-00b0b848-c8e6a4d6.mjs";
import "./index-0ae79694-baba3ec4.mjs";
import "./index-7e38709c-6910fac3.mjs";
import "./index-7cb0aa8a-5980b2b2.mjs";
import "./index-99e9a3dd-91e1c9c1.mjs";
import "./index-0d3452ba-6c02e04e.mjs";
import "./ModifyResource-649c9159-c5e1df1f.mjs";
import "./config-f0e1b8af-6020c664.mjs";
import "./Rule-409d4975-64654761.mjs";
import "./index-0c2da789-45d2cc69.mjs";
import "./index-a3356091-37618107.mjs";
import "./index-3b089557-9fae140f.mjs";
import "./index-a174607d-ec2ef331.mjs";
import "./index-69a9221c-a51a5bda.mjs";
const $ = (C) => (Y("data-v-820c4a5d"), C = C(), Z(), C), W = { class: "login-wrapper" }, Q = /* @__PURE__ */ $(() => /* @__PURE__ */ s("div", { class: "title" }, "欢迎注册", -1)), X = { class: "submit" }, ee = { class: "link-wrapper" }, re = { class: "img-verify-code-content" }, ie = /* @__PURE__ */ $(() => /* @__PURE__ */ s("h3", null, "请输入验证码", -1)), oe = { class: "img-wrapper" }, te = 180, ae = /* @__PURE__ */ F({
  __name: "index",
  emits: ["update:status"],
  setup(C, { emit: O }) {
    const a = ref({
      username: "",
      password: "",
      phone: "",
      verifyCode: ""
    }), m = reactive({
      loading: !1,
      verifyCodeDisabled: !1,
      modelVisible: !1,
      getVerifyCodeText: "获取验证码"
    }), T = readonly({
      username: [
        {
          trigger: "blur",
          required: !0,
          message: "请输入用户名"
        },
        {
          trigger: "blur",
          pattern: /^[a-zA-Z0-9]{4,10}$/,
          message: "用户名4到16位，由数字和字母组成"
        }
      ],
      password: [
        {
          trigger: "blur",
          required: !0,
          message: "请输入密码"
        },
        {
          trigger: "blur",
          pattern: /^.*(?=.{6,16})(?=.*\d)(?=.*[A-Z])(?=.*[a-z]).*$/,
          message: "密码6到16位，包含数字和大小写字母"
        }
      ],
      phone: [
        {
          trigger: "blur",
          required: !0,
          message: "请输入手机号码"
        },
        {
          trigger: "blur",
          pattern: /^1(3[0-9]|4[5,7]|5[0,1,2,3,5,6,7,8,9]|6[2,5,6,7]|7[0,1,2,3,5,6,7,8]|8[0-9]|9[1,5,8,9])\d{8}$/,
          message: "请输入正确的手机号码"
        }
      ],
      verifyCode: [
        {
          trigger: "blur",
          required: !0,
          message: "请输入验证码"
        }
      ]
    }), b = ref(), U = O, k = () => {
      var o;
      (o = b.value) == null || o.validate().then(async (e) => {
        m.loading = !0;
        try {
          const { username: l, password: n, phone: d, verifyCode: u } = e;
          if (!await J.register(l, l, n, d, u))
            return;
          y.success("注册成功"), a.value = {
            username: "",
            password: "",
            phone: "",
            verifyCode: ""
          };
        } catch (l) {
          y.error(l.msg);
        } finally {
          m.loading = !1;
        }
      });
    }, D = {
      imgVerifyCode: [
        {
          required: !0,
          message: "请输入验证码"
        }
      ]
    }, _ = ref(!1), x = ref(""), V = ref(""), c = ref(!1), R = ref(), h = ref(), f = reactive({
      imgVerifyCode: ""
    }), N = () => {
      var o;
      (o = b.value) == null || o.validateFields("phone").then(async () => {
        c.value = !0, w(), nextTick(() => {
          var e;
          (e = h.value) == null || e.focus();
        });
      });
    }, w = async () => {
      const o = await S.getImageCode();
      o && (x.value = o.imgKey, V.value = o.base64);
    }, q = () => {
      c.value = !1;
    }, L = () => {
      var o;
      (o = R.value) == null || o.validateFields().then(
        async () => {
          var e;
          _.value = !0;
          try {
            await S.getResetPasswdSmsCode(
              a.value.phone,
              x.value,
              f.imgVerifyCode
            ), y.success("短信验证码已发送"), c.value = !1, z();
          } catch (l) {
            y.error(`验证码错误：${l.msg || "未知错误"}`), w(), f.imgVerifyCode = "", (e = h.value) == null || e.focus();
          } finally {
            _.value = !1;
          }
        },
        (e) => {
          y.error(JSON.stringify(e));
        }
      );
    }, z = () => {
      f.imgVerifyCode = "", m.verifyCodeDisabled = !0;
      let o = te;
      const e = setInterval(() => {
        m.getVerifyCodeText = `${o}秒后重新获取`, o -= 1, o === 0 && (m.getVerifyCodeText = "获取验证码", m.verifyCodeDisabled = !1, clearInterval(e));
      }, 1e3);
    };
    return (o, e) => {
      const l = v("svg-icon"), n = v("a-input"), d = v("a-form-item"), u = v("a-button"), I = v("a-form"), A = v("a-modal");
      return K(), P("div", W, [
        Q,
        s("div", {
          class: "body",
          onKeydown: j(k, ["enter"])
        }, [
          r(I, {
            model: i(a),
            ref_key: "registerRef",
            ref: b,
            rules: i(T)
          }, {
            default: t(() => [
              r(d, { name: "username" }, {
                default: t(() => [
                  r(n, {
                    value: i(a).username,
                    "onUpdate:value": e[0] || (e[0] = (p) => i(a).username = p),
                    class: "input-item",
                    allowClear: "",
                    placeholder: "用户名4到16位，由数字和字母组成"
                  }, {
                    prefix: t(() => [
                      r(l, { icon: "UserOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              }),
              r(d, { name: "password" }, {
                default: t(() => [
                  r(n, {
                    type: "password",
                    value: i(a).password,
                    "onUpdate:value": e[1] || (e[1] = (p) => i(a).password = p),
                    allowClear: "",
                    class: "input-item",
                    placeholder: "密码6到16位，包含数字和大小写字母"
                  }, {
                    prefix: t(() => [
                      r(l, { icon: "LockOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              }),
              r(d, { name: "phone" }, {
                default: t(() => [
                  r(n, {
                    maxLength: "11",
                    value: i(a).phone,
                    "onUpdate:value": e[2] || (e[2] = (p) => i(a).phone = p),
                    class: "input-item",
                    allowClear: "",
                    placeholder: "手机号码"
                  }, {
                    prefix: t(() => [
                      r(l, { icon: "PhoneOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              }),
              r(d, { name: "verifyCode" }, {
                default: t(() => [
                  r(n, {
                    value: i(a).verifyCode,
                    "onUpdate:value": e[3] || (e[3] = (p) => i(a).verifyCode = p),
                    class: "input-item verify-code",
                    placeholder: "验证码"
                  }, {
                    prefix: t(() => [
                      r(l, { icon: "LockOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"]),
                  r(u, {
                    class: "btn-verify-code",
                    type: "link",
                    loading: i(_),
                    onClick: N,
                    disabled: i(m).verifyCodeDisabled
                  }, {
                    default: t(() => [
                      g(B(i(m).getVerifyCodeText), 1)
                    ]),
                    _: 1
                  }, 8, ["loading", "disabled"])
                ]),
                _: 1
              }),
              s("div", X, [
                r(u, {
                  type: "primary",
                  block: "",
                  onClick: k,
                  class: "input-item",
                  loading: i(m).loading
                }, {
                  default: t(() => [
                    g(" 注册 ")
                  ]),
                  _: 1
                }, 8, ["loading"])
              ]),
              s("div", ee, [
                r(u, {
                  class: "btn-forget-passwd",
                  type: "link",
                  onClick: e[4] || (e[4] = () => U("update:status", i(H).SIGNING))
                }, {
                  default: t(() => [
                    g("立即登录")
                  ]),
                  _: 1
                })
              ])
            ]),
            _: 1
          }, 8, ["model", "rules"]),
          r(A, {
            class: "img-verify-code-wrapper",
            open: i(c),
            "onUpdate:open": e[6] || (e[6] = (p) => E(c) ? c.value = p : null),
            footer: null,
            onCancel: q
          }, {
            default: t(() => [
              s("div", re, [
                ie,
                s("div", oe, [
                  s("img", {
                    class: "img-verify-code",
                    style: G({ "background-image": `url(${i(V)})` })
                  }, null, 4),
                  r(u, {
                    class: "btn-change-code",
                    type: "link",
                    onClick: w
                  }, {
                    default: t(() => [
                      g("看不清，换一个")
                    ]),
                    _: 1
                  })
                ]),
                r(I, {
                  ref_key: "codeFormRef",
                  ref: R,
                  model: i(f),
                  rules: D
                }, {
                  default: t(() => [
                    r(d, {
                      class: "input-img-code",
                      name: "imgVerifyCode"
                    }, {
                      default: t(() => [
                        r(n, {
                          ref_key: "verifyInputRef",
                          ref: h,
                          value: i(f).imgVerifyCode,
                          "onUpdate:value": e[5] || (e[5] = (p) => i(f).imgVerifyCode = p),
                          maxLength: 4,
                          allowClear: !0,
                          placeholder: "验证码"
                        }, null, 8, ["value"])
                      ]),
                      _: 1
                    }),
                    r(u, {
                      type: "primary",
                      block: "",
                      onClick: L,
                      class: "input-item",
                      loading: i(_)
                    }, {
                      default: t(() => [
                        g(" 确定 ")
                      ]),
                      _: 1
                    }, 8, ["loading"])
                  ]),
                  _: 1
                }, 8, ["model"])
              ])
            ]),
            _: 1
          }, 8, ["open"])
        ], 32)
      ]);
    };
  }
}), le = /* @__PURE__ */ M(ae, [["__scopeId", "data-v-820c4a5d"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/Login/components/Register/index.vue"]]), Ir = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: le
}, Symbol.toStringTag, { value: "Module" }));
export {
  le as R,
  Ir as _
};
