import { defineComponent as g, resolveComponent as x, openBlock as _, createBlock as v, unref as h } from "vue";
import { message as d } from "ant-design-vue";
import { e as k, u as c } from "./Workspace-99d9a434-4191cbd4-63cfdcf4.mjs";
import { cloneDeep as f } from "lodash";
import { u as F } from "./index-e68e98a5-63813610.mjs";
import "./index-ffc3e36c-0324b166-981ff3c3.mjs";
import "ant-design-vue/es/locale/zh_CN";
import "mitt";
import "@ant-design/icons-vue";
import "./index-c1939125.mjs";
import "./Workspace-b0c76eb5-f67e846b.mjs";
import "./index-1621650e-7039da5e.mjs";
import "./index-d66596a1-70807b3c.mjs";
import "./_commonjsHelpers-4c55c438.mjs";
import "./index-8e53670e.mjs";
import "./index-4c712f0f.mjs";
import "./index-61d0c837.mjs";
import "./index-f84f8264.mjs";
import "./Xhttp-3961c281.mjs";
import "./index-0bc44ba4.mjs";
import "./index-be33a88b.mjs";
import "./index-4746ada0.mjs";
import "./index-029f6c88.mjs";
import "./Workspace-02eb52fb.mjs";
import "./index-2016de99.mjs";
import "./index-eb746713.mjs";
import "./index-7cdf3d2f.mjs";
import "./index-e910d0a1.mjs";
import "./index-849e8eb6.mjs";
import "./index-8d4265b9.mjs";
import "./index-84e0bb4f.mjs";
import "./types-b6ebfd92.mjs";
import "./index-6cde75cc.mjs";
import "./index-2da0333f.mjs";
import "./index-ca4e7caa.mjs";
import "./index-f4d15496.mjs";
import "./index-28e2d2d8.mjs";
import "./index-99e9a3dd.mjs";
import "./index-53095baf.mjs";
import "./ModifyResource-5db3ac2f.mjs";
import "./config-f0e1b8af.mjs";
import "./Rule-88acd4fa.mjs";
import "./index-b9d81290.mjs";
import "./index-5257c732.mjs";
import "./index-8e54f683.mjs";
import "./index-e7f77db9.mjs";
import "./index-7e242db8.mjs";
import "./index-3f50a766-9d1f7e24.mjs";
import "./index-4b1645f2-4786b02d.mjs";
import "./index-0aa2c910-5cc4f5de.mjs";
import "./index-3052f625-0c0f738d.mjs";
import "./index-0a2e6a7c-a8c7cdfc.mjs";
import "./index-ddd78ab5-0cc5df79.mjs";
import "./index-3b037843-58a1cc80.mjs";
import "./index-7b78a6ac-0a7af145.mjs";
import "./index-1d2124f6-423a2a68.mjs";
import "./index-f555427e-4f68f772.mjs";
import "./types-b6ebfd92-421b591b.mjs";
import "./index-96ae9e92-a37083ab.mjs";
import "./index-00b0b848-c8e6a4d6.mjs";
import "./index-0ae79694-baba3ec4.mjs";
import "./index-7e38709c-6910fac3.mjs";
import "./index-7cb0aa8a-5980b2b2.mjs";
import "./index-99e9a3dd-91e1c9c1.mjs";
import "./index-0d3452ba-6c02e04e.mjs";
import "./ModifyResource-649c9159-c5e1df1f.mjs";
import "./config-f0e1b8af-6020c664.mjs";
import "./Rule-409d4975-64654761.mjs";
import "./index-0c2da789-45d2cc69.mjs";
import "./index-a3356091-37618107.mjs";
import "./index-3b089557-9fae140f.mjs";
import "./index-a174607d-ec2ef331.mjs";
import "./index-69a9221c-a51a5bda.mjs";
const Ye = [
  {
    operator: "like",
    renderer: {
      type: "TextField",
      options: {
        field: "username",
        label: "用户名"
      }
    }
  },
  {
    operator: "like",
    renderer: {
      type: "TextField",
      options: {
        field: "nickname",
        label: "姓名"
      }
    }
  },
  {
    operator: "like",
    renderer: {
      type: "TextField",
      options: {
        field: "phone",
        label: "手机"
      }
    }
  }
], et = [
  {
    key: "_edit",
    label: "编辑"
    // color: '#f00',
    // expression: 'state=='1''
  },
  {
    key: "_reset",
    label: "重置",
    confirm: !0
  },
  {
    key: "_delete",
    label: "删除",
    color: "#f00",
    confirm: !0,
    showRoles: ["admin"]
  },
  {
    key: "_stop",
    label: "停用",
    color: "#f00",
    confirm: !0,
    expression: (t) => t.enabled
  },
  {
    key: "_start",
    label: "启用",
    color: "green",
    confirm: !0,
    expression: (t) => !t.enabled
  }
], tt = [
  { key: "_add", label: "添加", icon: "UserAddOutlined" }
], ot = [
  {
    name: "username",
    label: "用户名",
    align: "center"
  },
  {
    name: "nickname",
    label: "姓名",
    align: "center"
  },
  {
    name: "phone",
    label: "手机号",
    align: "center"
  },
  {
    name: "role_name",
    type: "json",
    label: "角色",
    align: "center"
  },
  {
    name: "enabled",
    align: "center",
    label: "状态",
    dict: "状态"
  }
], rt = [
  {
    name: "yn",
    type: "inline",
    items: [
      {
        label: "是",
        value: !0
      },
      {
        label: "否",
        value: !1
      }
    ]
  },
  {
    name: "状态",
    type: "inline",
    items: [
      {
        label: "已停用",
        value: !1,
        tagColor: "error",
        tag: !0
      },
      {
        label: "运行中",
        value: !0,
        tagColor: "success",
        tag: !0
      }
    ]
  }
], T = [
  {
    name: "hideshow",
    type: "inline",
    items: [
      {
        label: "显示",
        value: 1
      },
      {
        label: "隐藏",
        value: 0
      }
    ]
  },
  {
    name: "yn",
    type: "inline",
    items: [
      {
        label: "是",
        value: 1
      },
      {
        label: "否",
        value: 0
      }
    ]
  },
  {
    name: "componenturi",
    type: "inline"
  }
], w = {
  hide: "hideshow",
  secondmenu: "yn"
}, D = {}, q = [
  {
    type: "TextField",
    options: {
      type: "text",
      field: "username",
      label: "用户名",
      required: !0
    }
  },
  {
    type: "TextField",
    options: {
      type: "text",
      field: "password",
      label: "密码",
      mode: "password",
      required: !0
    }
  }
], z = [
  {
    type: "TextField",
    options: {
      type: "text",
      field: "nickname",
      label: "姓名",
      required: !0
    }
  },
  {
    type: "SelectField",
    options: {
      type: "json",
      mode: "multiple",
      field: "roles",
      dictRef: "role",
      required: !0,
      label: "角色"
    }
  },
  {
    type: "TextField",
    options: {
      type: "text",
      field: "phone",
      maxLength: 11,
      label: "手机号"
    }
  },
  {
    type: "TextField",
    options: {
      type: "text",
      field: "email",
      label: "邮箱"
    }
  },
  {
    type: "TextField",
    options: {
      type: "text",
      field: "company",
      label: "单位"
    }
  },
  {
    type: "TextField",
    options: {
      type: "text",
      field: "department",
      label: "科室"
    }
  }
], R = {
  fieldValidators: [
    {
      field: "username",
      label: "用户名",
      validators: [
        {
          type: "regex",
          options: {
            pattern: /^\S+$/,
            message: "用户名不能包含空格"
          }
        },
        {
          type: "regex",
          options: {
            pattern: /^[a-zA-Z][a-zA-Z0-9]{3,15}$/,
            message: "必须由英文开头,仅可包含英文和数字,4-16位"
          }
        }
      ]
    },
    {
      field: "password",
      label: "密码",
      validators: [
        {
          type: "regex",
          options: {
            pattern: /^[a-zA-Z0-9]{6,16}$/,
            message: "仅可包含英文和数字,6-16位"
          }
        }
      ]
    },
    {
      field: "phone",
      label: "手机号",
      validators: [
        {
          type: "regex",
          options: {
            pattern: /^1(3[0-9]|4[5,7]|5[0,1,2,3,5,6,7,8,9]|6[2,5,6,7]|7[0,1,2,3,5,6,7,8]|8[0-9]|9[1,5,8,9])\d{8}$/,
            message: "请输入正确的手机号"
          }
        }
      ]
    },
    {
      field: "email",
      label: "邮箱",
      validators: [
        {
          type: "regex",
          options: {
            pattern: /^[a-z0-9]+([._\\-]*[a-z0-9])*@([a-z0-9]+[-a-z0-9]*[a-z0-9]+.){1,63}[a-z0-9]+$/,
            message: "请输入正确的邮箱"
          }
        }
      ]
    }
  ]
}, j = {
  layout: D,
  formDicts: T,
  dictRefs: w,
  validators: R
}, it = {
  formDef: j,
  formRecordData: {}
};
async function at() {
  let t = [];
  try {
    const { list: o } = await k.queryAllRole();
    t = o.map((i) => ({ label: i.name, value: i._id }));
  } catch (o) {
    console.error(o);
  }
  return t;
}
function O(t) {
  const o = f(q), i = f(z);
  let l = [];
  switch (t) {
    case "添加":
      l = [...o, ...i];
      break;
    case "编辑":
      l = [o[0], ...i];
  }
  return l;
}
const S = /* @__PURE__ */ g({
  name: "UserManageForm",
  __name: "index",
  props: {
    formData: { type: Object, required: !0 },
    type: { type: String, required: !0 },
    options: { type: Object, required: !0 },
    roleMap: { type: Object, required: !0 }
  },
  emits: ["refreshTable"],
  setup(t, { expose: o, emit: i }) {
    const l = t, u = i, { formData: m, type: p, options: a, roleMap: n } = l;
    if (watch(
      () => p,
      (r) => {
        a.formDef.layout = O(r);
      },
      {
        immediate: !0
      }
    ), a.formRecordData = {}, p == "添加")
      a.formRecordData = {};
    else {
      a.formRecordData = m;
      let r = m.role_name.map((e) => n[e] ? n[e].value : "");
      a.formRecordData.roles = r.filter((e) => e !== "");
    }
    const s = ref();
    async function y() {
      try {
        const { state: r, data: e } = await s.value.submit();
        r && (p === "添加" ? (await c.addUser(e), d.success("添加成功！")) : (e._id = e.user_id, delete e.role_code, delete e.role_name, await c.updateUser(e), d.success("修改成功！")), u("refreshTable"));
      } catch ({ msg: r }) {
        console.log(r);
      }
    }
    return o({ onSubmit: y }), (r, e) => {
      const b = x("GTForm");
      return _(), v(b, {
        options: h(a),
        ref_key: "formBox",
        ref: s
      }, null, 8, ["options"]);
    };
  }
}), U = /* @__PURE__ */ F(S, [["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/UserManage/components/Form/index.vue"]]), lt = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: U
}, Symbol.toStringTag, { value: "Module" }));
export {
  U as F,
  lt as _,
  ot as a,
  T as b,
  rt as d,
  it as f,
  at as g,
  et as r,
  Ye as s,
  tt as t
};
